Get Proposed Security Policy

Get Proposed Security Policy
Get proposed security policy

Retrieves detailed information about a specific proposed security policy by its unique identifier.

Request
URI
GET
https://{api_host}/ssp/segmentation/{session-id}/results/proposed-security-policies/{policy-id}
COPY
Path Parameters
string
session-id
Required  

Unique identifier of the segmentation session.

string
policy-id
Required  

Unique identifier of the proposed security policy.


Authentication
This operation uses the following authentication methods.
Responses
200

Successfully retrieved proposed security policy

Returns ProposedSecurityPolicy of type(s) application/json
This response body class contains all of the following: PolicyManagedResource , InlineProposedSecurityPolicy1
{
    "id": "250f9f29-d983-3bab-9ed1-1bc61c21010a",
    "display_name": "SSP_Infra_Custom",
    "description": "SSP created policy for SSP_Infra_Custom_Policy",
    "_create_user": "admin",
    "_create_time": 1783033710893,
    "_last_modified_user": "system",
    "_last_modified_time": 1783033927465,
    "_revision": 0,
    "site_ids": [
        "3518f90d-80df-449b-a681-53c1cd17ed0f"
    ],
    "policy_type": "INFRASTRUCTURE",
    "publish_status": "READY_TO_PUBLISH",
    "publish_action": "NONE",
    "rule_count": 2,
    "security_policy": {
        "resource_type": "SecurityPolicy",
        "id": "SSP_Infra_Custom_Policy",
        "path": "/infra/domains/default/security-policies/SSP_Infra_Custom_Policy",
        "parent_path": "/infra/domains/default",
        "display_name": "SSP_Infra_Custom",
        "description": "SSP created policy for SSP_Infra_Custom_Policy",
        "category": "Infrastructure",
        "stateful": true,
        "logging_enabled": false,
        "tcp_strict": true,
        "sequence_number": 999899,
        "scope": [
            "ANY"
        ]
    }
}

400

Bad Request

Returns BadRequest of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required  

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required  

Message describing the error.


401

Unauthorized

Returns Unauthorized of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required  

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required  

Message describing the error.


403

Forbidden

Returns Forbidden of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required  

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required  

Message describing the error.


412

Precondition Failed

Returns PreconditionFailed of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required  

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required  

Message describing the error.


428

Precondition Required

Returns PreconditionRequired of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required  

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required  

Message describing the error.


429

Too Many Requests

Returns TooManyRequests of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required  

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required  

Message describing the error.


default

Unexpected error

Returns Error of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required  

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required  

Message describing the error.


Code Samples
COPY
                    curl -H 'Authorization: <value>' https://{api_host}/ssp/segmentation/{session-id}/results/proposed-security-policies/{policy-id}